(function($) {

    Drupal.behaviors.surveyBuilder = {
        attach: function (context, settings) {

            // Remove default field palette group title
            $('#form-builder-field-palette .item-list:not(:first)').remove();

            // Add "Create Survey" form overlay
            $('.block-survey-builder').overlay({
              top: 260,
              mask: {
                color: '#000',
                loadSpeed: 500,
                opacity: 0.5
              },
              load: true
            });

            // Add text search to existing questions block
            var $questions = $('.block-views-questions-block .form-builder-fields a');

            $('.block-views-questions-block .content', context).once('surveyBuilder', function() {
                $('<input type="text" class="form-text" size="30">')
                    .bind('keydown keyup change focus blur', function() {
                        $questions
                            .show()
                            .filter(':not(:contains("' + $(this).val() + '"))')
                                .hide();
                    })
                    .prependTo($(this));
            });

        }
    };

    // Disable form_builder field palette auto-scrolling
    Drupal.behaviors.formBuilderBlockScroll = function(context) { };

})(jQuery);
